Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/8578/?format=api
{ "ob_id": 8578, "uuid": "9399794eafb50c208428eda6fa7e5cc6", "title": "Data from Thematic Mapper (LS5) at Landsat5 for the Landsat Campaign", "abstract": "Landsat 4 and Landsat 5 carry both the TM (thematic mapper) and the MSS (multi-spectral scanner) sensors, though routine collection of MSS data was terminated in late 1992. The satellites orbit at an altitude of 705 km and provide a 16-day, 233-orbit cycle with a swath overlap that varies from 7 percent at the Equator to nearly 84 percent at 81 degrees north or south latitude. Landsat data is widely used in many fields including geology, agriculture, resource management, climate analysis etc. The Landsat program is jointly managed by the National Aeronautics and Space Administration (NASA) and the US Geological Survey (USGS). The NERC Earth Observation Data Centre (NEODC) now also holds the data.", "keywords": "", "publicationState": "published", "dataPublishedTime": "2007-05-16T07:55:45", "doiPublishedTime": null, "updateFrequency": "asNeeded", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/8579/?format=api", "dataPath": "/neodc/landsat45tm", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 109062676522, "numberOfFiles": 10815, "fileFormat": "<div property=\"cedacat:formats\">\n<div class=\"formats\">Data availability and file format</div>\n<p> NEODC archive is available <a href=\"http://www.neodc.rl.ac.uk/datasearch/index.php?platform_type=satellite\" target=\"_blank\">here</a> to search NEODC holdings of Landsat 4 &amp; 5 TM data or use the <a href=\"http://www.neodc.rl.ac.uk/maps/mapserver_neodc/dbox/neodc/neodc_coverage.html\">Interactive Map</a></p>\n\n<p>To browse the original data producer's archive click here: <a href=\"http://edcsns17.cr.usgs.gov/EarthExplorer/\">USGS Eros Data Centre</a>.</p>\n<p>Other suppliers are available here:</p>\n<ul>\n<li><a href=\"http://www.infoterra-global.com\">Infoterra</a></li>\n<li><a href=\"http://www.eurimage.com\">Eurimage</a></li>\n<li><a href=\"http://www.npagroup.com\">NPA Group</a></li>\n</ul>\n\n<p>The file format is ESA CEOS Landsat format - Details on how to open those types of files is available at <a href=\"http://geol.hu/data/online_help/Opening_External_Files.html\">http://geol.hu/data/online_help/Opening_External_Files.html</a>\n\n</p></div>\n\n\n" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/2450/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "THIS IS REQUIRED!", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5489/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/8334/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/8577/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30129/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33899/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33905/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33902/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33903/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33904/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33906/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33901/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33900/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/76030/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/8583/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2635/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "landsat7etm", "label": "restricted: landsat7etm group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/landsat7etm_conditions.pdf", "licenceClassifications": "academic" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }